> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/es/knowledge-base/how-to-articles/performance-diagnostic.md).

# Diagnóstico de rendimiento

Cuando se produce un problema de rendimiento al utilizar Remote Desktop Manager Windows, el equipo de soporte puede solicitarle que envíe algunos detalles sobre su espacio de trabajo, la configuración del sistema, etc. Siga uno de los dos métodos que se indican a continuación para recopilar la información y enviarla al equipo de soporte.

### Enviar el seguimiento de rendimiento a través de Remote Desktop Manager

1. Abra ***Archivo*** – ***Información de mi espacio de trabajo***.
2. Haga clic en el botón ***Enviar informe por correo al soporte*** para enviar la información al equipo de soporte.
3. Abra ***Ayuda*** – ***Diagnóstico del sistema***.
4. Haga clic en el botón ***Enviar***.
5. Incluya suficiente información para vincular el informe al ticket correspondiente. Recuerde introducir su nombre de usuario si el proceso se inició desde el foro.
6. A continuación, vaya a ***Ayuda*** – ***Perfilado de rendimiento.***
7. En Remote Desktop Manager, mantenga pulsada la tecla <kbd>Ctrl</kbd> y pulse el botón de actualizar.
8. La información se añadirá en la pestaña ***Rendimiento*** de la ventana de perfilado de rendimiento abierta durante el paso 6.
9. Haga clic en el botón ***Enviar seguimiento al soporte***. De nuevo, asegúrese de incluir suficiente información para vincular el informe al ticket correspondiente e introduzca su nombre de usuario del foro si el proceso se inició desde el foro.

### Enviar por correo un informe Disk Usage by Top Tables mediante SSMS

Para los espacios de trabajo de Devolutions Server, SQL y SQL Azure, se puede generar un ***informe*** ***Disk Usage by Top Tables*** desde ***SQL Server Management Studio (SSMS)*** con el fin de evaluar el número de registros en tablas específicas de la base de datos. A continuación se indica cómo hacerlo:

1. Abra ***SQL Server Management Studio (SSMS)***.
2. Haga clic con el botón derecho en la base de datos y seleccione ***Reports*** – ***Standard Reports*** – ***Disk Usage by Top Tables***.
3. Envíe el informe a <service@devolutions.net>.

Aquí tiene un ejemplo del aspecto que tiene el informe.

![](https://cdnweb.devolutions.net/docs/DVLS6078_2024_2.png)

Esta es la ***consulta SQL*** para obtener el mismo resultado si la base de datos está alojada en Azure.

````
SELECT TOP 1000
        a3.name AS SchemaName,
        a2.name AS TableName,
        a1.rows as Row_Count,
        (a1.reserved )* 8.0 / 1024 AS reserved_mb,
        a1.data * 8.0 / 1024 AS data_mb,
        (CASE WHEN (a1.used ) > a1.data THEN (a1.used ) - a1.data ELSE 0 END) * 8.0 / 1024 AS index_size_mb,
        (CASE WHEN (a1.reserved ) > a1.used THEN (a1.reserved ) - a1.used ELSE 0 END) * 8.0 / 1024 AS unused_mb
    FROM    (   SELECT
                ps.object_id,
                SUM ( CASE WHEN (ps.index_id < 2) THEN row_count    ELSE 0 END ) AS [rows],
                SUM (ps.reserved_page_count) AS reserved,
                SUM (CASE   WHEN (ps.index_id < 2) THEN (ps.in_row_data_page_count + ps.lob_used_page_count + ps.row_overflow_used_page_count)
                            ELSE (ps.lob_used_page_count + ps.row_overflow_used_page_count) END
                    ) AS data,
                SUM (ps.used_page_count) AS used
                FROM sys.dm_db_partition_stats ps
                GROUP BY ps.object_id
            ) AS a1
    INNER JOIN sys.all_objects a2  ON ( a1.object_id = a2.object_id )
    INNER JOIN sys.schemas a3 ON (a2.schema_id = a3.schema_id)
    WHERE a2.type <> N'S' and a2.type <> N'IT'
    order by a1.reserved desc
```<div data-gb-custom-block data-tag="hint" data-style='info'>For Devolutions Server workspaces, the [Cleanup logs](https://docs.devolutions.net/server/es/web-interface/administration/database-retention-policies/) feature (***Administration*** – ***Logs*** – ***Clean up logs, i***n the Devolutions Server web interface) can help reduce the number of records in the report table by automatically archiving/deleting old logs.</div>
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/rdm/es/knowledge-base/how-to-articles/performance-diagnostic.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
